% powel singular function
% minimum = 0;  X = [0...0]

function Y = flip_powel(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample

Y = sum( (X(:,1:dim-3)+10*X(:,2:dim-2)).^2 + 5*(X(:,3:dim-1)-X(:,4:dim)).^2 + ...
     (X(:,2:dim-2)-2*X(:,3:dim-1)).^4 + 10*(X(:,1:dim-3)-X(:,4:dim)).^4, 2);
 

Y=Y+1;


% the above part of the powel function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;

