% shekel function
% minimum = -10.15319585097904;  X = [4,4,4,4]

function Y = flip_shekel(X)
% Y is a column vector, X is a matrix, each row of X is a sample

dim = size(X,2);  % dimension of the problem, i.e., length of each sample

a1=[4,4,4,4];
a2=[1,1,1,1];
a3=[8,8,8,8];
a4=[6,6,6,6];
a5=[3,7,3,7];
c=[0.1,0.2,0.2,0.4,0.4];

Y=(sum((X-repmat(a1,size(X,1),1)).^2,2)+c(1)).^(-1)+...
    (sum((X-repmat(a2,size(X,1),1)).^2,2)+c(2)).^(-1)+...
    (sum((X-repmat(a3,size(X,1),1)).^2,2)+c(3)).^(-1)+...
    (sum((X-repmat(a4,size(X,1),1)).^2,2)+c(4)).^(-1)+...
    (sum((X-repmat(a5,size(X,1),1)).^2,2)+c(5)).^(-1);
 
%Y=Y;

% the above part of the shekel function was intended for a minization problem,
% since GASS is working under a maximization formulation, we need to flip it
Y = -Y;




